com.brightcove.player.view

## Class BrightcovePlayerFragment

- java.lang.Object
- - android.app.Fragment
  - - com.brightcove.player.view.BrightcovePlayerFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener

      @ListensFor(events="fragmentSaveInstanceState")
      public class BrightcovePlayerFragment
      extends android.app.Fragment

  A Fragment with basic life cycle and full screen support. The onCreateView() should be extended to wire up the activity's layout to the brightcoveVideoView instance variable before calling super.onCreateView(). For example:

  `brightcoveVideoView = (BaseVideoView) findViewById(R.id.brightcove_video_view);`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.app.Fragment

      `android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BaseVideoView` | `brightcoveVideoView`
    `static java.lang.String` | `TAG`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrightcovePlayerFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fullScreen()` Expands the BrightcoveVideoView layout parameters to match the parent and hides the ActionBar.
    `BaseVideoView` | `getBaseVideoView()`
    `BrightcoveVideoView` | `getBrightcoveVideoView()`
    `void` | `normalScreen()` Returns the BrightcoveVideoView to it's original layout parameters and restores the ActionBar.
    `void` | `onActivityCreated(android.os.Bundle savedInstanceState)`
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)`
    `void` | `onDestroy()`
    `void` | `onDestroyView()`
    `void` | `onDetach()`
    `void` | `onPause()`
    `void` | `onPictureInPictureModeChanged(boolean isInPictureInPictureMode, android.content.res.Configuration newConfig)`
    `void` | `onResume()`
    `void` | `onSaveInstanceState(android.os.Bundle bundle)`
    `void` | `onStart()`
    `void` | `onStop()`
    `void` | `onViewStateRestored(android.os.Bundle savedInstanceState)`

    - ### Methods inherited from class android.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isStateSaved, isVisible, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroyOptionsMenu, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onTrimMemory, onViewCreated, postponeEnterTransition, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

    - #### brightcoveVideoView

          protected BaseVideoView brightcoveVideoView

  - ### Constructor Detail

    - #### BrightcovePlayerFragment

          public BrightcovePlayerFragment()

  - ### Method Detail

    - #### getBrightcoveVideoView

          public BrightcoveVideoView getBrightcoveVideoView()

    - #### getBaseVideoView

          public BaseVideoView getBaseVideoView()

    - #### fullScreen

          public void fullScreen()

      Expands the BrightcoveVideoView layout parameters to match the parent and hides the ActionBar.

    - #### normalScreen

          public void normalScreen()

      Returns the BrightcoveVideoView to it's original layout parameters and restores the ActionBar.

    - #### onActivityCreated

          public void onActivityCreated(android.os.Bundle savedInstanceState)

      Overrides:
        `onActivityCreated` in class `android.app.Fragment`

    - #### onCreateView

          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                android.view.ViewGroup container,
                                                android.os.Bundle savedInstanceState)

      Overrides:
        `onCreateView` in class `android.app.Fragment`

    - #### onStart

          public void onStart()

      Overrides:
        `onStart` in class `android.app.Fragment`

    - #### onPause

          public void onPause()

      Overrides:
        `onPause` in class `android.app.Fragment`

    - #### onResume

          public void onResume()

      Overrides:
        `onResume` in class `android.app.Fragment`

    - #### onDestroy

          public void onDestroy()

      Overrides:
        `onDestroy` in class `android.app.Fragment`

    - #### onDestroyView

          public void onDestroyView()

      Overrides:
        `onDestroyView` in class `android.app.Fragment`

    - #### onDetach

          public void onDetach()

      Overrides:
        `onDetach` in class `android.app.Fragment`

    - #### onStop

          public void onStop()

      Overrides:
        `onStop` in class `android.app.Fragment`

    - #### onSaveInstanceState

          public void onSaveInstanceState(android.os.Bundle bundle)

      Overrides:
        `onSaveInstanceState` in class `android.app.Fragment`

    - #### onViewStateRestored

          public void onViewStateRestored(android.os.Bundle savedInstanceState)

      Overrides:
        `onViewStateRestored` in class `android.app.Fragment`

    - #### onPictureInPictureModeChanged

          public void onPictureInPictureModeChanged(boolean isInPictureInPictureMode,
                                                    android.content.res.Configuration newConfig)

      Overrides:
        `onPictureInPictureModeChanged` in class `android.app.Fragment`